For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
            • GETList Payment Methods
            • GETList Company Payment Methods
            • PUTUpdate Company Payment Methods
            • GETList Active Payment Methods
            • GETGet Company Credit Status
            • PUTUpdate Company Credit Status
            • GETGet Company-Level Payment Terms
            • PUTUpdate Company-Level Payment Terms
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementPayment

Update Company Credit Status

PUT
https://api-b2b.bigcommerce.com/api/v3/io/companies/:companyId/credit
PUT
/api/v3/io/companies/:companyId/credit
$curl -X PUT https://api-b2b.bigcommerce.com/api/v3/io/companies/1/credit \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "code": 200,
3 "data": {
4 "creditEnabled": true,
5 "creditCurrency": "USD",
6 "availableCredit": 123.45,
7 "limitPurchases": true,
8 "creditHold": true
9 },
10 "meta": {
11 "message": "Success"
12 }
13}
Updates the credit settings for the Company specified by `companyId`. All fields are optional, but an empty request will result in unexpected behavior. If the Company credit feature is disabled, this request will fail. See [B2B Edition Settings](https://support.bigcommerce.com/s/article/B2B-Edition-Settings) for more information.
Was this page helpful?
Previous

Get Company Credit Status

Next

Get Company-Level Payment Terms

Built with

Updates the credit settings for the Company specified by companyId. All fields are optional, but an empty request will result in unexpected behavior. If the Company credit feature is disabled, this request will fail. See B2B Edition Settings for more information.

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

companyIdintegerRequired
The unique numeric ID of the Company assigned by B2B Edition.

Request

This endpoint expects an object.
creditEnabledbooleanOptional
Indicates whether credit is enabled for the Company.
creditCurrencystringOptional

The 3-character currency code of the Company’s credit account.

availableCreditdoubleOptional
The amount of credit available to the Company.
limitPurchasesbooleanOptional
Indicates whether the Company users are allowed to make purchases using purchase orders when total price exceeds available credit.
creditHoldbooleanOptional

Indicates whether the Company account is on a credit hold. If true, this flag prevents all Company users from making purchases.

Response

SUCCESS
codeintegerDefaults to 200
Operation status code.
dataobject
metaobject
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.